export declare type TUserInfo = Record<string | number, string | number | Date | boolean>;
export interface IUseHotjar {
    readyState: boolean;
    initHotjar: (hotjarId: number, hotjarVersion: number, logCallback?: (...data: unknown[]) => void) => boolean;
    identifyHotjar: (userId: string, userInfo: TUserInfo, logCallback?: (...data: unknown[]) => void) => boolean;
    stateChange: (relativePath: string, logCallback?: ((...data: unknown[]) => void) | undefined) => boolean;
}
export declare const appendHeadScript: (scriptText: string, scriptId: string) => boolean;
export declare function hotjarInitScript(hotjarId: number, hotjarVersion: number): boolean;
export declare function hotjarStateChangeScript(relativePath: string): void;
export declare function hotjarIdentifyScript(userId: string | null, userInfo: TUserInfo): void;
export declare function checkReadyState(): boolean;
